# Uses of Interface
java.sql.Ref

Packages that use Ref
Package
Description
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.
javax.sql
Provides the API for server side data source access and processing from the Java programming language.
javax.sql.rowset
Standard interfaces and base classes for JDBC `RowSet` implementations.
javax.sql.rowset.serial
Provides utility classes to allow serializable mappings between SQL types and data types in the Java programming language.

- ## Uses of Ref in java.sql

  Methods in java.sql that return Ref
  Modifier and Type
  Method
  Description
  `Ref`
  CallableStatement.`getRef(int parameterIndex)`
  Retrieves the value of the designated JDBC `REF(<structured-type>)` parameter as a `Ref` object in the Java programming language.
  `Ref`
  CallableStatement.`getRef(String parameterName)`
  Retrieves the value of a JDBC `REF(<structured-type>)` parameter as a `Ref` object in the Java programming language.
  `Ref`
  ResultSet.`getRef(int columnIndex)`
  Retrieves the value of the designated column in the current row of this `ResultSet` object as a `Ref` object in the Java programming language.
  `Ref`
  ResultSet.`getRef(String columnLabel)`
  Retrieves the value of the designated column in the current row of this `ResultSet` object as a `Ref` object in the Java programming language.
  `Ref`
  SQLInput.`readRef()`
  Reads an SQL `REF` value from the stream and returns it as a `Ref` object in the Java programming language.
  Methods in java.sql with parameters of type Ref
  Modifier and Type
  Method
  Description
  `void`
  PreparedStatement.`setRef(int parameterIndex, Ref x)`
  Sets the designated parameter to the given `REF(<structured-type>)` value.
  `void`
  ResultSet.`updateRef(int columnIndex, Ref x)`
  Updates the designated column with a `java.sql.Ref` value.
  `void`
  ResultSet.`updateRef(String columnLabel, Ref x)`
  Updates the designated column with a `java.sql.Ref` value.
  `void`
  SQLOutput.`writeRef(Ref x)`
  Writes an SQL `REF` value to the stream.

- ## Uses of Ref in javax.sql

  Methods in javax.sql with parameters of type Ref
  Modifier and Type
  Method
  Description
  `void`
  RowSet.`setRef(int i, Ref x)`
  Sets the designated parameter in this `RowSet` object's command with the given `Ref` value.

- ## Uses of Ref in javax.sql.rowset

  Methods in javax.sql.rowset with parameters of type Ref
  Modifier and Type
  Method
  Description
  `void`
  BaseRowSet.`setRef(int parameterIndex, Ref ref)`
  Sets the designated parameter to the given `Ref` object in the Java programming language.

- ## Uses of Ref in javax.sql.rowset.serial

  Classes in javax.sql.rowset.serial that implement Ref
  Modifier and Type
  Class
  Description
  `class`
  `SerialRef`
  A serialized mapping of a `Ref` object, which is the mapping in the Java programming language of an SQL `REF` value.
  Methods in javax.sql.rowset.serial that return Ref
  Modifier and Type
  Method
  Description
  `Ref`
  SQLInputImpl.`readRef()`
  Retrieves the value at the head of this `SQLInputImpl` object as a `Ref` object in the Java programming language.
  Methods in javax.sql.rowset.serial with parameters of type Ref
  Modifier and Type
  Method
  Description
  `void`
  SQLOutputImpl.`writeRef(Ref x)`
  Writes a `Ref` object in the Java programming language to this `SQLOutputImpl` object.
  Constructors in javax.sql.rowset.serial with parameters of type Ref
  Modifier
  Constructor
  Description
  ``
  `SerialRef(Ref ref)`
  Constructs a `SerialRef` object from the given `Ref` object.